# Curso prático de introdução ao GNU Debugger (GDB) 

Neste curso prático, ao vivo por videoconferência (Jitsi), nós vamos explorar as funcionalidades do depurador de código GNU Debugger.

## Tópicos

- O que é o GDB;
- Papel na programação em baixo nível e em C/C++;
- Compilação com suporte à depuração (`gcc -g ...`);
- Relações entre binários ELF, símbolos e códigos-fonte;
- Início do GDB;
- Interfaces de operação;
- Comandos básicos:
  - Execução de programas
  - Navegação
  - Pontos de parada
- Inspeção e controle de execução:
  - Execução passo a passo
  - Registradores
  - Variáveis e memória
  - Pilha de chamadas

> Exemplos com programas em C e Assembly Intel x86_64 (NASM).

## Carga horária e calendário

- Duração: 8h
- Dois sábados consecutivos:
  - Dias 3 e 10 de maio de 2025
  - Das 14h às 18h

## Investimento

Inscrição: **R$150,00**

## Como inscrever-se

1. Envie um pix no valor da inscrição para **cursos@blauaraujo.com**.
2. Envie um e-mail para **cursos@blauaraujo.com** contendo:

  - Anexo: Comprovante de pagamento
  - Assunto: Curso GDB
  - Mensagem:
    - Nome completo
    - E-mail válido
    - CPF ou CNPJ
    - Endereço postal completo com CEP

**Importante!** Todas as informações são obrigatórias!

Em resposta, você receberá um e-mail de confirmação com os detalhes sobre o acesso ao curso.

## Dúvidas e outras informações

E-mail: blau@debxp.org
